Skip to main content
GET
/
api
/
v1
/
endpoints
/
{endpoint_id}
Get Endpoint
curl --request GET \
  --url https://api.example.com/api/v1/endpoints/{endpoint_id}
{
  "id": "<string>",
  "account_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "path": "<string>",
  "method": "<string>",
  "auth_required": true,
  "condition": "<string>",
  "actions": [
    {}
  ],
  "response_template": {},
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>"
}

Path Parameters

endpoint_id
string
required

Response

Successful Response

Response schema for a single custom endpoint.

id
string
required
account_id
string
required
name
string
required
description
string | null
required
path
string
required
method
string
required
auth_required
boolean
required
condition
string | null
required
actions
Actions · object[]
required
response_template
Response Template · object
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string | null
required